# full version number as seen on youtube-dl website
%define	verlong	2017.12.02

# transform version so we don't have to bump epoch after four digit upgrades:
# 2013.01.17.1 becomes 20130117_1
# 2013.01.28   becomes 20130128
# $ rpmvercmp 20130117_1 20130128
# 20130117_1 < 20130128
%define	ver	%(echo %{verlong} | awk -F. 'NF == 3 {printf("%s%s%s", $1, $2, $3)} NF == 4 {printf("%s%s%s_%s", $1, $2, $3, $4)}')
Summary:	Video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube
Name:		youtube-dl
Version:	%{ver}
Release:	1
Epoch:		2
License:	Public Domain
Group:		Applications/System
Source0:	http://youtube-dl.org/downloads/%{verlong}/%{name}-%{verlong}.tar.gz
# Source0-md5:	5112f6de85e3c814a3e3ce275fb8c5d4
Source1:	%{name}.conf
# should be downloaded from:
# https://github.com/rg3/youtube-dl/pull/10291.diff
# but the author removed his repository, so the url is 404
# git log -p --reverse pr/10291~3..pr/10291
Patch0:		10291.diff
URL:		http://youtube-dl.org/
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
Requires:	python-pyxattr >= 0.5.0
Requires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		bash_compdir	%{_datadir}/bash-completion/completions
%define		fish_compdir	%{_datadir}/fish/completions
%define		zsh_compdir	%{_datadir}/zsh/site-functions

%description
youtube-dl is a small command-line program to download videos from
YouTube.com.

%description -l pl.UTF-8
youtube-dl jest programem do ściągania plików video z YouTube.com.

%package -n bash-completion-%{name}
Summary:	Bash completion for youtube-dl command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for youtube-dl command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia youtube-dl.

%package -n fish-completion-%{name}
Summary:	Fish completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	fish

%description -n fish-completion-%{name}
Fish completion for youtube-dl command.

%description -n fish-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w fish dla polecenia youtube-dl.

%package -n zsh-completion-%{name}
Summary:	Zsh completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w zsh dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zsh

%description -n zsh-completion-%{name}
Zsh completion for youtube-dl command.

%description -n zsh-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w zsh dla polecenia youtube-dl.

%prep
%setup -qc
mv %{name} .tmp; mv .tmp/* .
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

install -d $RPM_BUILD_ROOT{%{bash_compdir},%{fish_compdir},%{zsh_compdir}}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion \
	$RPM_BUILD_ROOT%{bash_compdir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/fish/completions/youtube-dl.fish \
	$RPM_BUILD_ROOT%{fish_compdir}/%{name}.fish
cp -p youtube-dl.zsh $RPM_BUILD_ROOT%{zsh_compdir}/_youtube-dl
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/youtube_dl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/youtube-dl.conf
%attr(755,root,root) %{_bindir}/youtube-dl
%{_mandir}/man1/youtube-dl.1*
%{py_sitescriptdir}/youtube_dl
%{py_sitescriptdir}/youtube_dl-*-py*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/%{name}.fish

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{zsh_compdir}/_youtube-dl
%changelog
* Thu Dec 07 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/youtube-dl.git;a=log;h=master

* Thu Dec 07 2017 Adam Osuchowski <adwol@pld-linux.org> c18c12e
- up to 2017.12.02

* Fri Oct 06 2017 Adam Osuchowski <adwol@pld-linux.org> f3d563b
- up to 2017.10.07

* Fri Sep 08 2017 Adam Osuchowski <adwol@pld-linux.org> 39e3d4c
- up to 2017.09.02

* Fri Jun 23 2017 Adam Osuchowski <adwol@pld-linux.org> ef16798
- up to 2017.06.23

* Thu Jun 15 2017 Adam Osuchowski <adwol@pld-linux.org> 227532e
- up to 2017.06.12

* Sun May 14 2017 Adam Osuchowski <adwol@pld-linux.org> 7745344
- up to 2017.05.09

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> b9191cf
- add kanal2 extractor patch from PR

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> c1a06df
- xattr-set-filesize by default

* Fri Apr 14 2017 Adam Osuchowski <adwol@pld-linux.org> 9c4c911
- up to 2017.04.15

* Thu Mar 16 2017 Adam Osuchowski <adwol@pld-linux.org> 51243b7
- up to 2017.03.15

* Thu Feb 09 2017 Adam Osuchowski <adwol@pld-linux.org> 53e05c3
- up to 2017.02.07

* Sat Nov 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 281ee88
- up to 20161118

* Wed Nov 09 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 616bd91
- up to 20161108

* Mon Oct 10 2016 Adam Osuchowski <adwol@pld-linux.org> fcced8f
- up to 2016.10.07

* Mon Sep 12 2016 Adam Osuchowski <adwol@pld-linux.org> eccb912
- up to 2016.09.11.1

* Sun Aug 14 2016 Adam Osuchowski <adwol@pld-linux.org> 5be3fd3
- up to 2016.08.13

* Thu Aug 04 2016 Adam Osuchowski <adwol@pld-linux.org> 6fdb385
- up to 2016.08.01

* Fri Jul 22 2016 Jan Palus <atler@pld-linux.org> 872960a
- setuptools is runtime dependency as well

* Thu Jun 23 2016 Adam Osuchowski <adwol@pld-linux.org> 83e5abd
- up to 2016.06.23.1

* Sun May 29 2016 Jan Palus <atler@pld-linux.org> fa8bfa2
- up to 2016.05.30

